##############################################################################
# REPLACE STRINGS
#
# USED NAMES:
# samplename (Lib-SH)		= PkgName
# sampledir (ksm-lib-sh)	= pkg-dirname = pkg-filename (ksm-xxx)
# sampleconf (sampleconf)	= config file name (no extension)
# sampledm (sampledm)		= the daemon (rc-script, rc-link, systemd.service)
# sample (sample)		= all others
##############################################################################

# Specfile for Lib-SH

%define name	ksm-lib-sh
%define version	5.0.1
%define release	0.0.0
%define _arch	noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _bindir		/usr/local/bin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}
%define _libdir		/usr/local/lib/sh

Summary:	Main package for software from Kaesmann-Online
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		System/Libraries
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	%{_arch}
#BuildRequires:	samplepkg,samplecapab
Requires:	/bin/sh,/bin/bash,bc
Requires:	ksm-liberr-sh >= 4.0.0-0.0.0,ksm-textproc >= 1.0.1-11.0.0
#Provides:	sampledm
#Conflicts:	sampledm-other,libsample == 0.0.0
#Obsoletes:	mysampledm

%description
This package is the basic package for software from Kaesmann-Online. 
It contains the shell function library libfuncstd-sh, needed for most 
of the software from Kaesmann-Online. 
It installs the main config file /usr/local/etc/main.conf

Implemented functions of libfuncstd-sh:
 Push, Pop, Show_Err, Find_Substr, GetOpt, Get_PID, Get_Path_PID, 
 Str, LSet, RSet, CSet, Change_German_Chars, Check_Digits, 
 Permissions_To_Value, Compare_Version_No, Check_Package_Name, 
 Leap_Year, Inc_Date_Day, Dec_Date_Day, Compare_Dates, 
 Inc_LDate_Day, Dec_LDate_Day, Compare_LDates, 
 Calc_Date_Diff, Calc_Time_Diff, Sum_Times, 
 Get_Lines, Insert_Line, Replace_Line, Remove_Lines

Please check/configure:
 /usr/local/etc/main.conf

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#---------------------- ORDER OF SCRIPTLETS ----------------------------------
# O=old pkg, N=new pkg

# INSTALL:
# 1. Run %pre section of N		(Arg is 1)
# 2. Install files from N
# 3. Run %post section of N		(Arg is 1)

# UNINSTALL:
# 1. Run %preun section of O		(Arg is 0)
# 2. Delete files from O
# 3. Run %postun section of O		(Arg is 0)

# UPGRADE:
#  1. Run %pre section of O		(Arg is 2)
#  2. Install files from N
#  3. Run %post section of N		(Arg is 2)
#  4. Execute install. triggers (%triggerin in other pkgs) set off by install N
#  5. Execute installation triggers of N
#  6. Execute uninstallation triggers (%triggerun) of O
#  7. Execute uninstallation triggers (of other pkgs) set off by uninstall O
#  8. Run %preun section of O		(Arg is 1)
#  9. Delete files from O not contained in N
# 10. Run %postun section of O		(Arg is 1)

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) %{_confdir}/sample.conf
#%config %{_confdir}/sample.conf
#%config %{_scnfdir}/sample
%{_confdir}/main.conf

#%attr(744,root,root)/%{_rcdir}/sampleserver

%attr(755,root,root)%{_bindir}/replcnfvar

%{_datadir}/RELEASE
%{_datadir}/VERSION
%attr(755,root,root)%{_datadir}/get-options
%attr(755,root,root)%{_datadir}/teststack

%{_libdir}/libfuncstd-sh-%{version}
%{_libdir}/libfuncstd-sh

#/usr/share/applications/sample.desktop
#%{_icondir}/16x16/apps/sample.png
#%{_icondir}/22x22/apps/sample.png
#%{_icondir}/32x32/apps/sample.png
#%{_icondir}/48x48/apps/sample.png
#%{_icondir}/64x64/apps/sample.png
#%{_icondir}/128x128/apps/sample.png
#/usr/share/pixmaps/sample.png

%docdir %{_man1dir}
%{_man1dir}/replcnfvar.1.gz

#%docdir %{_man8dir}
#%{_man8dir}/sample.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
%{_docdir}/README.de

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# backup config files
test -e %{_confdir}/main.conf && cp %{_confdir}/main.conf %{_confdir}/main.conf.rpmsave
#test -e %{_scnfdir}/sample && cp %{_scnfdir}/sample %{_scnfdir}/sample.rpmsave

# disable sample daemon
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1
#test -x %{_rcdir}/sampledm && %{_rcdir}/sampledm stop > /dev/null 2>&1

if [ "$1" == 1 ]; then					# install package
	if [ -e /ksmtmp ]; then				# exist /ksmtmp ?
		if [ -d /ksmtmp ]; then			# is it a dir?
			chmod 1777 /ksmtmp
			if [ ! -e /ksmtmp/lock ]; then
				mkdir /ksmtmp/lock
			fi
		else					# /ksmtmp not a dir
			echo "Error - /ksmtmp is not a dir!"
			echo "Create dirs /ksmtmp/lock manually!"
			echo "Then set sticky bit on /ksmtmp"
		fi
	else						# does not exist
		mkdir -p /ksmtmp/lock
		chmod 1777 /ksmtmp
	fi
#else							# upgrade package
fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# set config pathname. config file needs a version at first cnfvar!
cf=%{_confdir}/main.conf
cnfvars=$(grep -v '^#' $cf | grep '[[:alnum:]]' | grep -v '\[' | cut -sd '=' -f1)
cnfvars=$(echo $cnfvars | cut -d ' ' -f2-)
ret=0

# enable sample daemon
#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -e -q > /dev/null 2>&1

# set links
#ln -sf %{_rcdir}/sampledm %{_bindir}/rcsampledm
#ln -sf /usr/bin/prog %{_bindir}/myprog
#ln -sf %{_libdir}/libfuncstd-sh-%{version} %{_libdir}/libfuncstd-sh

# install desktop files
#xdg-desktop-menu install --novendor \
#	/usr/share/applications/sample.directory \
#	/usr/share/applications/sample.desktop \
#	/usr/share/applications/sample-admin.desktop

if [ "$1" == 1 ]; then					# install package
	echo "Configure $cf"
#	echo "Users must create HOME/.samplerc with update-sample"
else							# upgrade package
	# update global conf
	if [ -e $cf.rpmsave ]; then
		c='' s='' t=''
		#cp $cf $cf.rpmnew
		. $cf
		. $cf.rpmsave

		# update conf vars START -------------------------------------
		if [ -x %{_bindir}/replcnfvar ]; then
			for c in $cnfvars; do
				t="\$$c"
				eval s="$t"
				s=\"$s\"
				%{_bindir}/replcnfvar $cf $c "$s"
			done
		else
			echo "Error - cmd replcnfvar not found or not executable!" >&2
			echo "Conf file not updated!" >&2
		fi
		# update conf vars STOP --------------------------------------

#		# update array vars START ------------------------------------
#		cnt=0 i=0
#		# array var MainArr
#		cnt=${#MainArr[@]}			# max index of array
#		i=0
#		if [ "$cnt" -gt 0 ]; then		# any arrays in use?
#			while [ "$i" -lt $cnt ]; do
#				let i++
#				s="MainArr[$i]=\"${MainArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#			done
#		fi
#		# update array vars STOP -------------------------------------

		# compare new conf vars <--> old conf vars
		diff $cf $cf.rpmsave > /dev/null 2>&1
		ret=$?
		if [ "$ret" -eq 0 ]; then
			rm $cf.rpmsave
		else
			echo "Check $cf"
		fi
	fi

#	echo "If new version then users must update HOME/.samplerc with update-sample"
fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	# backup config files
	test -e %{_confdir}/main.conf && cp %{_confdir}/main.conf %{_confdir}/main.conf.rpmsave
	#test -e %{_scnfdir}/sampleconf && cp %{_scnfdir}/sampleconf %{_scnfdir}/sampleconf.rpmsave

	# disable sample daemon
	#test -x %{_bindir}/togglesample && %{_bindir}/togglesample -d -q > /dev/null 2>&1

	# rm links
	#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
	#rm -f %{_libdir}/libfuncstd-sh

	# uninstall desktop files
	#xdg-desktop-menu uninstall \
	#	/usr/share/applications/sample.directory \
	#	/usr/share/applications/sample.desktop \
	#	/usr/share/applications/sample-admin.desktop
#else							# upgrade package
fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/ksm-lib-sh
#else							# upgrade package
fi
exit 0

%changelog
* Thu Mar 23 2023 Repomaster <repomaster@kaesmann-online.de> 5.0.1-0.0.0
- The library has been revised/improved
  (internal function _X_mod_Y_)

* Sat Feb 11 2023 Repomaster <repomaster@kaesmann-online.de> 5.0.0-0.0.0
- The library has been revised/improved
  (Moved all Chart functions into new
  package 'ksm-libchart-sh')

* Mon Mar 14 2022 Repomaster <repomaster@kaesmann-online.de> 4.1.0-0.0.0
- The library has been revised/improved
  (added following functions:
  CSet, Show_Err)

* Thu Jan 06 2022 Repomaster <repomaster@kaesmann-online.de> 4.0.0-0.0.0
- Now the ksm-lib-sh-4.0.0 is the default lib.
- rm following link:
  libfuncstd-SH

* Wed Jan 05 2022 Repomaster <repomaster@kaesmann-online.de> 3.0.6-2.0.0
- Added following links:
  libfuncstd-sh --> libfuncstd-sh-3.0.6
  libfuncstd-SH --> libfuncstd-sh-4.0.0

* Tue Jan 04 2022 Repomaster <repomaster@kaesmann-online.de> 3.0.6-1.0.0
- Added the ksm-lib-sh-4.0.0 additional.

* Sat Nov 21 2020 Repomaster <repomaster@kaesmann-online.de> 3.0.6-0.0.0
- Following functions have been moved to ksm-libmath-sh:
  Trim_0NumberI, Trim_NumberI, Trim_NumberF, Insert_Decimalpoint,
  IsNumber, ToNormInt, NormInt_ToInt, NormInt_ToFloat

* Wed Oct 07 2020 Repomaster <repomaster@kaesmann-online.de> 3.0.5-0.0.0
- The library has been revised/improved
  (added the variable _DEBUG_).

* Thu Oct 01 2020 Repomaster <repomaster@kaesmann-online.de> 3.0.4-0.0.0
- The library has been revised/improved
  (now error related things are in a new lib libfuncerr-sh).
- Some constants have been renamed from
  OLD	to		NEW
  _Chart_Tempfile_	_CHART_TEMPFILE_
  _Chart_Title_		_CHART_TITLE_
  _Chart_Header_	_CHART_HEADER_
  _Chart_Scale_		_CHART_SCALE_
  _Chart_Char_		_CHART_CHAR_
  _Chart_Marker_	_CHART_MARKER_
  _Chart_Footer_	_CHART_FOOTER_
  _StackPointer_	_STACKPOINTER_

* Mon May 04 2020 Repomaster <repomaster@kaesmann-online.de> 3.0.3-1.0.0
- The library has been revised/improved
  (fixed error missing IFS):
  Get_Lines, Insert_Line, Replace_Line, Remove_Lines

* Sat Apr 25 2020 Repomaster <repomaster@kaesmann-online.de> 3.0.3-0.0.0
- Sourcing the libfuncmath-sh is not longer done.
  But the package 'bc' is needed as requirement.

* Thu Dec 19 2019 Repomaster <repomaster@kaesmann-online.de> 3.0.2-1.1.0
- Following functions of the library have been revised/improved
  (fixed error missing file name in while loop):
  Get_Lines, Insert_Line, Replace_Line, Remove_Lines

* Wed Dec 18 2019 Repomaster <repomaster@kaesmann-online.de> 3.0.2-1.0.0
- The library has been revised.

* Mon Oct 16 2017 Repomaster <repomaster@kaesmann-online.de> 3.0.2-0.5.0
- The library has been revised
  (fixed error in function GetOpt).

* Mon Apr 10 2017 Repomaster <repomaster@kaesmann-online.de> 3.0.2-0.4.0
- All progs have been revised
  (fixed init for var 'err').

* Sun Feb 26 2017 Repomaster <repomaster@kaesmann-online.de> 3.0.2-0.3.0
- Following functions have been revised
  (fixed error in Leap_Year and the call to Leap_Year):
  Leap_Year, Inc_LDate_Day, Dec_LDate_Day
- Now the libfuncstd-sh sources the libfuncmath-sh.
  It is not needed to source the libfuncmath-sh
  extra when sourcing the libfuncstd-sh is done.

* Sun Feb 19 2017 Repomaster <repomaster@kaesmann-online.de> 3.0.2-0.2.0
- Fixed wrong version in main.conf.

* Mon Feb 13 2017 Repomaster <repomaster@kaesmann-online.de> 3.0.2-0.1.0
- The function GetOpt has been revised.

* Sun Feb 12 2017 Repomaster <repomaster@kaesmann-online.de> 3.0.2-0.0.0
- Added the function Get_Path_PID.
- Deleted following functions:
  Separate_Chars, Read_Lines.
- The function Get_PID has been revised
  (calling scheme and transport of result
  has changed).

* Wed Feb 08 2017 Repomaster <repomaster@kaesmann-online.de> 3.0.1-0.1.0
- All scripts have been revised
  (updated section GET OPTIONS).
- Added the sample script get-options.

* Thu Jan 19 2017 Repomaster <repomaster@kaesmann-online.de> 3.0.1-0.0.0
- Added the function GetOpt.

* Fri Dec 09 2016 Repomaster <repomaster@kaesmann-online.de> 3.0.0-0.1.0
- The library libfuncstd-sh has been revised
  (fixed a bug in function Pop).

* Tue Dec 06 2016 Repomaster <repomaster@kaesmann-online.de> 3.0.0-0.0.0
- The libraries libfuncip-sh and libfuncmath-sh
  have been moved from this package to own packages.
  Some global variables have changed their name
  (now they are surrounded with an underscore like:
  StackPointer --> _StackPointer_ ).

* Sat Dec 03 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.0-0.0.0
- Added the function library libfuncmath-sh

* Sat Dec 03 2016 Repomaster <repomaster@kaesmann-online.de> 1.1.2-0.0.0
- Fix bugs in Trim_NumberF and Trim_NumberI.

* Sun Apr 17 2016 Repomaster <repomaster@kaesmann-online.de> 1.1.1-0.0.0
- Fix wrong version number in main.conf.

* Mon Apr 11 2016 Repomaster <repomaster@kaesmann-online.de> 1.1.0-0.0.0
- Added function Separate_Chars.

* Wed Feb 17 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.10-0.0.0
- Added function Replace_Line
- Several functions have been revised.

* Mon Oct 05 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.9-0.1.0
- function Check_Package_Name has been revised
  (added check for i486).
  Function Trim_0NumberI has been revised (error fixed).

* Wed Sep 02 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.9-0.0.0
- Removed function Get_Pos_Parameter
- Added function Leap_Year
- Now following functions recognize
  Leap-year/Intercalary day:
  function Inc_LDate_Day, function Dec_LDate_Day
- Several functions have been revised

* Tue Mar 31 2015 Repomaster <repomaster@kaesmann-online.de> 1.0.8-0.0.0
- Added function Get_PID
- Added function IsNumber
- Added function ToNormInt
- Added function NormInt_ToInt
- Added function NormInt_ToFloat
- Added the template function_Read_Line_Handler.templ
  to the share directory.

* Mon Nov 03 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.7-0.0.0
- Following functions have been added:
  function LSet, function RSet .

* Fri Oct 31 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.6-0.0.1
- Added the script testchart.

* Thu Oct 30 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.6-0.0.0
- The function Read_Line_Handler has been revised.
- Following functions have been added:
  function Str, function Make_Chart, function Put_Chart,
  function Show_Chart, function Delete_Chart .
- Following global vars have been added:
  Chart_Tempfile, Chart_Title, Chart_Name, Chart_Bar,
  Chart_Char, Chart_Marker, Chart_Footer, RLFlag .

* Fri Sep 26 2014 Repomaster <repomaster@kaesmann-online.de> 1.0.5-9.0.1
- The docu has been revised.

* Fri Mar 14 2014 Juergen Kaesmann <juergen@kaesmann.us> 1.0.5-9.0.0
- The function lib libfuncstd-sh has been revised.
  Added following functions to libfuncstd-sh:
  Calc_Date_Diff
- The script showerrmsg has been revised (added option -o).

* Thu Mar 07 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.5-8.1.0
- Errors in the function library libfuncstd-sh has been
  corrected. Functions:
  Inc_Date_Day  Dec_Date_Day
  Inc_LDate_Day Dec_LDate_Day.

* Tue Feb 05 2013 Juergen Kaesmann <juergen@kaesmann.us> 1.0.5-8.0.0
- Now the package creates the default temp dirs '/ksmtmp/lock/'.

* Thu Oct 18 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-7.0.0
- The function lib libfuncstd-sh has been revised.
- Added following functions to libfuncstd-sh:
  'Read_Lines' and a sample of it's complement 'Read_Line_Handler'

* Tue Sep 25 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-6.1.0
- The package has been revised.

* Tue Sep 18 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-6.0.0
- Added following functions in the function lib libfuncstd-sh:
  function Inc_LDate_Day (date)
  Inc day of date with respect to month and year (long form).

  function Dec_LDate_Day (date)
  Dec day of date with respect to month and year (long form).

  function Compare_LDates (date1 date2)
  Compare date1 with date2 (long form).

* Thu Apr 26 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-5.4.0
- The config update process has been revised.

* Wed Apr 25 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-5.3.0
- The package has been revised.

* Fri Apr 20 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-5.2.0
- The RPM scriptlets are revised.

* Mon Apr 02 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-5.1.0
- The release naming scheme has changed ('.ksm' is removed).

* Sun Feb 12 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-5.1.0.ksm
- The RPM scriptlets are corrected.

* Sat Oct 29 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-5.0.0.ksm
- Added the function Check_Digits.

* Fri Oct 28 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-4.0.0.ksm
- Function Compare_Version_No is revised.
- The Exit codes of function Compare_Version_No are changed.

* Thu Oct 27 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-3.0.0.ksm
- Removed the functions Date1_GE_Date2 and Date1_LE_Date2.
- Function Comp_Dates is renamed to Compare_Dates.
- The Exit codes of function Compare_Version_No and Compare_Dates are
  changed.

* Sun Oct 23 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-2.0.0.ksm
- Added the function Permissions_To_Value.

* Thu Oct 20 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-1.0.0.ksm
- Added the script showerrmsg.

* Thu Oct 20 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.5-0.0.0.ksm
- The functionality of liberrcod-sh is moved to libfuncstd-sh.
- The lib liberrcod-sh is removed from package.

* Thu Oct 20 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.4-0.0.0.ksm
- The new lib liberrcod-sh is introduced. The link is liberrcod-sh@
- The libfuncstd-sh and libfuncip-sh are revised to work with liberrcod-sh

* Wed Oct 19 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.3-0.0.0.ksm
- The whole package has revised.
- Following names has changed:
  func-std.sh to libfuncstd-sh
  func-ip.sh to libfuncip-sh
- Additional to the old links (func-std.sh@ und func-ip.sh@) new links
  have introduced (libfuncstd-sh@ and libfuncip-sh@). Now only theese new
  links should used.
- The vars Lib_func_std_sh_Version and Lib_func_ip_sh_Version have removed
  from the libs.
- The function Check_Libs has removed from libfuncstd-sh.
- The return codes of some functions have changed.

* Wed Oct 05 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-4.0.0.ksm
- Added the function Change_German_Chars.

* Thu Mar 03 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-3.0.0.ksm
- Added the function Summ_Times.

* Fri Feb 18 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-2.0.5.ksm
- Now the package ksm-rpmkey is required.

* Mon Jan 03 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-2.0.4.ksm
- The package name has changed to avoid conflicts with the openSUSE
  distribution. It has been prepended with 'ksm-'.

* Wed Jun 09 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-2.0.4.ksm
- The package is revised.

* Tue Feb 02 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-2.0.3.ksm
- Read version and dependency infos from external files.

* Fri Jan 29 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-2.0.2.ksm
- The RPM scriptlets are corrected.

* Wed Jan 27 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-2.0.1.ksm
- The docu has changed.

* Wed Jan 27 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-2.0.0.ksm
- Script replcnfvar replaces replcnfvar.sh

* Tue Jan 26 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-1.0.1.ksm
- The docu has modified.

* Mon Dec 07 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-1.0.0.ksm
- Function Check_Package_Name has modified. Src packages will be handled too.

* Tue Nov 17 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-0.ksm.0.0
- Error in function "Compare_Version_No" is corrected.

* Mon Oct 26 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0
- The package management has changed to RPM.
